# Module Fail2Ban
# 
# This module require iptables module
# 
# Created on 110215 by yannick.vaucher@switzernet.com
#
# Copyright (c) 2011 by switzernet.com
#


$alert_mail_list = ["yannick.vaucher@switzernet.com"]


class fail2ban {


	package{"fail2ban":
		ensure => present,
		require => Class['iptables']
	}


	service{"fail2ban":
		ensure => running,
		require => Package['fail2ban']
	}

	exec{"fail2ban restart":
		refreshonly => true,
		command => "/etc/init.d/fail2ban restart",
		subscribe => Exec['update iptables']
	}
	
}


class fail2ban::asterisk {	
	
	$use_asterisk = "true"
	file{"/etc/fail2ban/filter.d/asterisk.conf":
		ensure => present,
		source => "puppet:///fail2ban/asterisk.conf",
		require => Package['fail2ban'];
	     "/etc/fail2ban/jail.conf":
		ensure => file,
		replace => true,
		content => template("fail2ban/jail.conf.erb"),
		require => Package['fail2ban'],
		notify => Exec['fail2ban restart']
	}

}
